<template>
    <b-modal hide-header-close id="updateDataUsuario">
        <template v-slot:modal-title>Actualizar Datos</template>
        <template v-slot:default>
            <b-container fluid >
                <b-tabs
                class="mt-2 mb-3"
                align="center"
                fill
                active-nav-item-class="font-weight-bold text-uppercase text-info"
                id="text-grid"
                >
                    <b-tab
                      :title="'USUARIO'"
                    >
                        <b-card 
                            no-nody 
                            class="overflow-hidden" 
                        >
                            <b-row no-gutters>
                                <b-col md="12">
                                    <b-card-body>
                                        <b-row class="row">
                                            <b-col cols="12" md="6">
                                                <b-form-group label="Nombres Usuario:">
                                                  <b-form-input 
                                                  type="text" 
                                                  size="sm"
                                                  :placeholder="nombres_usuario"
                                                  v-model="usuario_nombre"
                                                  required> </b-form-input>
                                                </b-form-group>
                                            </b-col>
                                            <b-col cols="12" md="6">
                                                <b-form-group label="Apellidos Usuario:">
                                                  <b-form-input 
                                                  type="text" 
                                                  size="sm"
                                                  :placeholder="apellidos_usuario"
                                                  v-model="usuario_apellido"
                                                  required> </b-form-input>
                                                </b-form-group>
                                            </b-col>
                                        </b-row>
                                        <b-row class="row">
                                            <b-col cols="12" md="6">
                                                <b-form-group label="Documento Usuario:">
                                                  <b-form-input 
                                                  type="text" 
                                                  size="sm"
                                                  :placeholder="documento_usuario"
                                                  v-model="usuario_documento"
                                                  required> </b-form-input>
                                                </b-form-group>
                                            </b-col>
                                            <b-col cols="12" md="6">
                                                <b-form-group label="Telefono Usuario:">
                                                  <b-form-input 
                                                  type="text" 
                                                  size="sm"
                                                  :placeholder="telefono_usuario"
                                                  v-model="usuario_telefono"
                                                  required> </b-form-input>
                                                </b-form-group>
                                            </b-col>
                                        </b-row>
                                        <b-row class="row">
                                            <b-col cols="12" md="12">
                                                <b-form-group label="Email Usuario:">
                                                  <b-form-input 
                                                  type="text" 
                                                  size="sm"
                                                  :placeholder="email_usuario"
                                                  v-model="usuario_email"
                                                  required> </b-form-input>
                                                </b-form-group>
                                            </b-col>
                                        </b-row>
                                    </b-card-body>
                                </b-col>
                            </b-row>
                        </b-card>
                    </b-tab>
                    <b-tab
                      :title="'ENTIDAD'"
                    >
                        <b-card no-nody class="overflow-hidden">
                            <b-row no-gutters>
                                <b-col md="12">
                                    <b-card-body>
                                        <b-row class="row">
                                            <b-col cols="12" md="12">
                                                <b-form-group label="Nombre Entidad:">
                                                  <b-form-input 
                                                  type="text" 
                                                  size="sm"
                                                  :placeholder="nombre_entidad"
                                                  v-model="entidad_nombre"
                                                  required> </b-form-input>
                                                </b-form-group>
                                            </b-col>
                                        </b-row>
                                        <b-row class="row">
                                            <b-col cols="12" md="6">
                                                <b-form-group label="Telefono Entidad:">
                                                  <b-form-input 
                                                  type="text" 
                                                  size="sm"
                                                  :placeholder="telefono_entidad"
                                                  v-model="entidad_telefono"
                                                  required> </b-form-input>
                                                </b-form-group>
                                            </b-col>
                                            <b-col cols="12" md="6">
                                                <b-form-group label="Direccion Entidad:">
                                                  <b-form-input 
                                                  type="text" 
                                                  size="sm"
                                                  :placeholder="direccion_entidad"
                                                  v-model="entidad_direccion"
                                                  required> </b-form-input>
                                                </b-form-group>
                                            </b-col>
                                        </b-row>
                                    </b-card-body>
                                </b-col>
                            </b-row>
                        </b-card>
                    </b-tab>
                </b-tabs>
                
            </b-container>
        </template>
        <template #modal-footer>
            <div class="w-100">
                <b-button 
                @click="updateData"
                variant="primary" 
                class="float-right ml-2" size="md">
                    <span class="text">Editar</span>
                </b-button>   
            </div>
        </template>
    </b-modal>
</template>

<script>
    export default {
        props: [
            'ruta',
            'id_usuario', 
            'nombres_usuario',
            'apellidos_usuario',
            'documento_usuario',
            'email_usuario',
            'telefono_usuario',
            'id_entidad',
            'nombre_entidad',
            'telefono_entidad',
            'direccion_entidad'
        ],
        data() {
            return {
                url: document.head.querySelector('meta[name="url"]').content,
                usuario_nombre: '',
                usuario_apellido: '',
                usuario_documento: '',
                usuario_email: '',
                usuario_telefono: '',
                entidad_nombre: '',
                entidad_telefono: '',
                entidad_direccion: ''
            }
        },
        methods: {
            updateData() {
                if(this.usuario_nombre == '') {
                    this.usuario_nombre = this.nombres_usuario;
                }
                if(this.usuario_apellido == '') {
                    this.usuario_apellido = this.apellidos_usuario;
                }
                if(this.usuario_documento == '') {
                    this.usuario_documento = this.documento_usuario;
                }
                if(this.usuario_email == '') {
                    this.usuario_email = this.email_usuario;
                }
                if(this.usuario_telefono == '') {
                    this.usuario_telefono = this.email_usuario;
                }
                if(this.entidad_nombre == '') {
                    this.entidad_nombre = this.nombre_entidad;
                }
                if(this.entidad_telefono == '') {
                    this.entidad_telefono = this.telefono_entidad;
                }
                if(this.entidad_direccion == '') {
                    this.entidad_direccion = this.direccion_entidad;
                }

                var data = {
                    id_usuario: this.id_usuario,
                    id_entidad: this.id_entidad,
                    usuario_nombre: this.usuario_nombre,
                    usuario_apellido: this.usuario_apellido,
                    usuario_documento: this.usuario_documento,
                    usuario_email: this.usuario_email,
                    usuario_telefono: this.usuario_telefono,
                    entidad_nombre: this.entidad_nombre,
                    entidad_telefono: this.entidad_telefono,
                    entidad_direccion: this.entidad_direccion    
                };
                let url = this.url + '/api/update_entidad';
                this.axios.post(url, data).then(response => {
                    this.$utils.showSuccess(response.data['mensaje']);
                    this.$emit('datos-actualizados')
                    this.$root.$emit( "bv::toggle::modal", "updateDataUsuario");
            });
            }
        }            
    }
</script>

<style lang="scss">

a {
    color: #040404 !important;
}

</style>